"Use strict";
import powerbi from "powerbi-visuals-api";
import DataView = powerbi.DataView;
import * as visualInterfaces from "../visual/visualInterfaces";
import * as d3 from "d3";
import { IFilterManager } from "../visual/visualInterfaces";
export default class FilterManager implements IFilterManager{
    applyFilter(): void {
        throw new Error("Method not implemented.");
    }
    setJsonFilter(field: number | Text, select: number | Text): void;
    setJsonFilter(field: number, start: number, end: number): void;
    setJsonFilter(field: any, start: any, end?: any) {
        throw new Error("Method not implemented.");
    }
    setJsonFitler(filter: Date, select: Date): void {
        throw new Error("Method not implemented.");
    }
    applyJsonFilter(filter: powerbi.IFilter | powerbi.IFilter[], objectName: string, propertyName: string, action: powerbi.FilterAction): void {
        
    }

}